Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class VerifyMedia

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp
              oracle.ifs.admin.tools.schema.VerifyMedia

All Implemented Interfaces:
  java.lang.Runnable, Logger, IfsParameters

    public class VerifyMedia

extends BaseApp
implements IfsParameters

Use the VerifyMedia class to ensure that all iFS Medias are installed correctly. It does this by creating a document in each media, then freeing the document. If these operations are successful, then the Medias are installed correctly.

Modified:
  dpitfiel 01/16/2008 Free the ContentObject too., sgarg 02/24/2002 Using constants from IfsParameters now. Also using domain name instead of service name to start a service. Changed constructor from protected to public, lsaenz 01/28/2000 Updated comments, added API methods, added DEBUG flag, cleaned up a bit., lmatter 01/27/2000 Created.

Field Summary

Fields inherited from class oracle.ifs.common.BaseApp
`m_currentuser, m_session`

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`VerifyMedia(java.lang.String[] args)` Creates a new VerifyMedia class given BaseApp-style arguments specifying connection options for iFS authentication.

Method Summary
`static VerifyMedia` | `createInstance(java.lang.String user, java.lang.String password, java.lang.String domainName, java.lang.String schemaPassword)` Creates a new VerifyMedia class given the four parameters required for a typical iFS connection.
`IfsException` | `getReasonForFailure()` Returns the IfsException thrown if the iFS Media test fails.
`static void` | `main(java.lang.String[] args)` Runs VerifyMedia from the command-line given parameters: `username = [iFS user to login as] password = [iFS user's password] server = [iFS server to connect to] serverpassword = [Oracle iFS user DBMS password]`
`void` | `run()` Empty implementation; required by subclasses of BaseApp
`boolean` | `testMedia()` Tests each media by creating a document in the Media and then freeing the document.

Methods inherited from class oracle.ifs.common.BaseApp
`connect, Connect, connect, Connect, Connect, Connect, connect, Connect, connect, Connect, Disconnect, getCachePerformanceString, getCleartextCredential, getCleartextCredential, getConnectionPoolPerformanceString, getConnectOptions, getConnectOptions, getConnectOptions, getLocale, showCachePerformance, showConnectionPoolPerformance`

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyMedia

    public VerifyMedia(java.lang.String[] args)

  Creates a new VerifyMedia class given BaseApp-style arguments specifying connection options for iFS authentication.

  Parameters:
    `args` - arguments in standard BaseApp format (name=value). See main() for more information.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `VerifyMedia`
  Runs VerifyMedia from the command-line given parameters:

  > `
  > username = [iFS user to login as]
  > password = [iFS user's password]
  > server = [iFS server to connect to]
  > serverpassword = [Oracle iFS user DBMS password]`

  Parameters:
    `args` - command-line arguments in standard BaseApp format (name=value).

### createInstance

    public static VerifyMedia createInstance(java.lang.String user,
                                             java.lang.String password,
                                             java.lang.String domainName,
                                             java.lang.String schemaPassword)

  Description copied from class: `VerifyMedia`
  Creates a new VerifyMedia class given the four parameters required for a typical iFS connection.

  Parameters:
    `user` - the iFS user to connect as.
    `password` - the iFS user's password.
    `domainName` - the iFS domain name to use.
    `schemaPassword` - the iFS schema password.
  Returns:
    a new instance of the VerifyMedia class.

### getReasonForFailure

    public IfsException getReasonForFailure()

  Description copied from class: `VerifyMedia`
  Returns the IfsException thrown if the iFS Media test fails.

  Returns:
    an IfsException, or null if the test was successful.

### testMedia

    public boolean testMedia()
                      throws IfsException

  Description copied from class: `VerifyMedia`
  Tests each media by creating a document in the Media and then freeing the document. Note: If this method throws an IfsException, then the test could not even be performed -- something even worse is wrong.

  Returns:
    true if the test is successful, false otherwise.
  Throws:
    `IfsException` - if something goes wrong before testing the iFS Medias.

### run

    public void run()

  Description copied from class: `VerifyMedia`
  Empty implementation; required by subclasses of BaseApp

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD